package com.ruoyi.flowable.oa;

import com.ruoyi.common.utils.spring.SpringUtils;
import com.ruoyi.system.mapper.SysUserPostMapper;
import com.ruoyi.system.mapper.SysUserRoleMapper;
import org.flowable.common.engine.impl.identity.Authentication;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.ExecutionListener;
import org.springframework.stereotype.Component;

@Component("CallSafeActivityExecutionListener")
public class CallSafeActivityExecutionListener implements ExecutionListener {
    @Override
    public void notify(DelegateExecution delegateExecution) {
        SysUserPostMapper userPostMapper = SpringUtils.getBean(SysUserPostMapper.class);
        Authentication.setAuthenticatedUserId(userPostMapper.selectSafe().getUserId().toString());
        delegateExecution.setVariable("approval", userPostMapper.selectSafe().getUserId().toString());
    }
}
