package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc成果归档对象 cmc_archive
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcArchive extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 成果归档id */
    private String archiveId;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    /** 成果汇交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成果汇交日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitTime;

    /** 备注说明 */
    @Excel(name = "备注说明")
    private String submitSituation;

    /** 坐标经度 */
    @Excel(name = "坐标经度")
    private String locationLng;

    /** 坐标纬度 */
    @Excel(name = "坐标纬度")
    private String locationLat;

    /** 生产部门检查员 */
    @Excel(name = "生产部门检查员")
    private Long produceInspector;

    /** 质量检查员 */
    @Excel(name = "质量检查员")
    private Long qualityInspector;

    /** 技术部负责人 */
    @Excel(name = "技术部负责人")
    private Long deptLeader;

    /** 归档人 */
    @Excel(name = "归档人")
    private Long archiver;

    private SysUser produceUser;

    private SysUser qualityUser;

    private SysUser deptUser;

    private SysUser archiveUser;

    /** 资料接收时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "资料接收时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiveTime;

    /** 质量检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "质量检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qualityTime;

    /** 生产部门检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产部门检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date produceTime;

    /** 技术部审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "技术部审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deptTime;

    /** 归档时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "归档时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date archiveTime;

    /** 生产部门意见 */
    @Excel(name = "生产部门意见")
    private String produceComment;

    /** 质量检查意见 */
    @Excel(name = "质量检查意见")
    private String qualityComment;

    /** 技术部审核意见 */
    @Excel(name = "技术部审核意见")
    private String deptComment;

    /** 归档审核意见 */
    @Excel(name = "归档审核意见")
    private String archiveComment;

    public void setArchiveId(String archiveId) 
    {
        this.archiveId = archiveId;
    }

    public String getArchiveId() 
    {
        return archiveId;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setSubmitTime(Date submitTime) 
    {
        this.submitTime = submitTime;
    }

    public Date getSubmitTime() 
    {
        return submitTime;
    }
    public void setSubmitSituation(String submitSituation) 
    {
        this.submitSituation = submitSituation;
    }

    public String getSubmitSituation() 
    {
        return submitSituation;
    }
    public void setLocationLng(String locationLng) 
    {
        this.locationLng = locationLng;
    }

    public String getLocationLng() 
    {
        return locationLng;
    }
    public void setLocationLat(String locationLat) 
    {
        this.locationLat = locationLat;
    }

    public String getLocationLat() 
    {
        return locationLat;
    }
    public void setProduceInspector(Long produceInspector) 
    {
        this.produceInspector = produceInspector;
    }

    public Long getProduceInspector() 
    {
        return produceInspector;
    }
    public void setQualityInspector(Long qualityInspector) 
    {
        this.qualityInspector = qualityInspector;
    }

    public Long getQualityInspector() 
    {
        return qualityInspector;
    }
    public void setDeptLeader(Long deptLeader) 
    {
        this.deptLeader = deptLeader;
    }

    public Long getDeptLeader() 
    {
        return deptLeader;
    }
    public void setArchiver(Long archiver) 
    {
        this.archiver = archiver;
    }

    public Long getArchiver() 
    {
        return archiver;
    }
    public void setReceiveTime(Date receiveTime) 
    {
        this.receiveTime = receiveTime;
    }

    public Date getReceiveTime() 
    {
        return receiveTime;
    }
    public void setQualityTime(Date qualityTime) 
    {
        this.qualityTime = qualityTime;
    }

    public Date getQualityTime() 
    {
        return qualityTime;
    }
    public void setProduceTime(Date produceTime) 
    {
        this.produceTime = produceTime;
    }

    public Date getProduceTime() 
    {
        return produceTime;
    }
    public void setDeptTime(Date deptTime) 
    {
        this.deptTime = deptTime;
    }

    public Date getDeptTime() 
    {
        return deptTime;
    }
    public void setArchiveTime(Date archiveTime) 
    {
        this.archiveTime = archiveTime;
    }

    public Date getArchiveTime() 
    {
        return archiveTime;
    }
    public void setProduceComment(String produceComment) 
    {
        this.produceComment = produceComment;
    }

    public String getProduceComment() 
    {
        return produceComment;
    }
    public void setQualityComment(String qualityComment) 
    {
        this.qualityComment = qualityComment;
    }

    public String getQualityComment() 
    {
        return qualityComment;
    }
    public void setDeptComment(String deptComment) 
    {
        this.deptComment = deptComment;
    }

    public String getDeptComment() 
    {
        return deptComment;
    }
    public void setArchiveComment(String archiveComment) 
    {
        this.archiveComment = archiveComment;
    }

    public String getArchiveComment() 
    {
        return archiveComment;
    }
    public void setProduceUser(SysUser produceUser)
    {
        this.produceUser = produceUser;
    }

    public SysUser getProduceUser()
    {
        return produceUser;
    }
    public void setQualityUser(SysUser qualityUser)
    {
        this.qualityUser = qualityUser;
    }

    public SysUser getQualityUser()
    {
        return qualityUser;
    }
    public void setDeptUser(SysUser deptUser)
    {
        this.deptUser = deptUser;
    }

    public SysUser getDeptUser()
    {
        return deptUser;
    }
    public void setArchiveUser(SysUser archiveUser)
    {
        this.archiveUser = archiveUser;
    }

    public SysUser getArchiveUser()
    {
        return archiveUser;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("archiveId", getArchiveId())
            .append("projectId", getProjectId())
            .append("submitTime", getSubmitTime())
            .append("submitSituation", getSubmitSituation())
            .append("locationLng", getLocationLng())
            .append("locationLat", getLocationLat())
            .append("produceInspector", getProduceInspector())
            .append("qualityInspector", getQualityInspector())
            .append("deptLeader", getDeptLeader())
            .append("archiver", getArchiver())
            .append("receiveTime", getReceiveTime())
            .append("qualityTime", getQualityTime())
            .append("produceTime", getProduceTime())
            .append("deptTime", getDeptTime())
            .append("archiveTime", getArchiveTime())
            .append("produceComment", getProduceComment())
            .append("qualityComment", getQualityComment())
            .append("deptComment", getDeptComment())
            .append("archiveComment", getArchiveComment())
            .toString();
    }
}
