package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc品牌项目对象 cmc_brand_project
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcBrandProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String projectId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 甲方单位 */
    @Excel(name = "甲方单位")
    private String partyA;

    /** 甲方单位联系人 */
    @Excel(name = "甲方单位联系人")
    private String aPerson;

    /** 甲方单位联系电话 */
    @Excel(name = "甲方单位联系电话")
    private String aPhone;

    /** 合作单位 */
    @Excel(name = "合作单位")
    private String partnerId;

    /** 合作单位联系人 */
    @Excel(name = "合作单位联系人")
    private String contactPerson;

    /** 合作单位联系电话 */
    @Excel(name = "合作单位联系电话")
    private String telephone;

    /** 项目工期 */
    @Excel(name = "项目工期")
    private String duration;

    /** 合同金额 */
    @Excel(name = "合同金额")
    private BigDecimal amount;

    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setProjectNumber(String projectNumber) 
    {
        this.projectNumber = projectNumber;
    }

    public String getProjectNumber() 
    {
        return projectNumber;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setPartyA(String partyA) 
    {
        this.partyA = partyA;
    }

    public String getPartyA() 
    {
        return partyA;
    }
    public void setaPerson(String aPerson) 
    {
        this.aPerson = aPerson;
    }

    public String getaPerson() 
    {
        return aPerson;
    }
    public void setaPhone(String aPhone) 
    {
        this.aPhone = aPhone;
    }

    public String getaPhone() 
    {
        return aPhone;
    }
    public void setPartnerId(String partnerId) 
    {
        this.partnerId = partnerId;
    }

    public String getPartnerId() 
    {
        return partnerId;
    }
    public void setContactPerson(String contactPerson) 
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson() 
    {
        return contactPerson;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setDuration(String duration) 
    {
        this.duration = duration;
    }

    public String getDuration() 
    {
        return duration;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("projectNumber", getProjectNumber())
            .append("projectName", getProjectName())
            .append("partyA", getPartyA())
            .append("aPerson", getaPerson())
            .append("aPhone", getaPhone())
            .append("partnerId", getPartnerId())
            .append("contactPerson", getContactPerson())
            .append("telephone", getTelephone())
            .append("duration", getDuration())
            .append("amount", getAmount())
            .append("remark", getRemark())
            .toString();
    }
}
