package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合同评审对象 cmc_contract
 *
 * @author cmc
 * @date 2024-04-18
 */
public class CmcContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同id（ht2024w002） */
    private String contractId;

    /** 合同编码 */
    @Excel(name = "合同编码")
    private String contractCode;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String contractNumber;

    /** 投标项目 */
    private String tenderId;

    /** 投标项目 */
    private CmcTender tender;

    /** 合同金额 */
    @Excel(name = "合同金额")
    private BigDecimal amount;

    /** 履约保证金 */
    @Excel(name = "履约保证金")
    private BigDecimal deposit;

    /** 合同文件 */
    @Excel(name = "合同文件")
    private String contractDocument;

    /** 拟稿人 */
    @Excel(name = "拟稿人")
    private Long drafter;

    private SysUser draftUser;

    private SysUser managerUser;

    /** 拟稿日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟稿日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date draftTime;

    /** 签订日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date signDate;

    /** 签订备注 */
    @Excel(name = "签订备注")
    private String signRemark;

    /** 签订扫描件 */
    @Excel(name = "签订扫描件")
    private String signScan;

    /** 评审方式 */
    @Excel(name = "评审方式")
    private String commentType;

    /** 分管审批意见 */
    @Excel(name = "分管审批意见")
    private String managerComment;

    /** 分管审批人 */
    @Excel(name = "分管审批人")
    private Long managerUserId;

    /** 分管审批日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分管审批日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date managerTime;

    public void setContractId(String contractId)
    {
        this.contractId = contractId;
    }

    public String getContractId()
    {
        return contractId;
    }
    public void setContractCode(String contractCode)
    {
        this.contractCode = contractCode;
    }

    public String getContractCode()
    {
        return contractCode;
    }
    public void setContractNumber(String contractNumber)
    {
        this.contractNumber = contractNumber;
    }

    public String getContractNumber()
    {
        return contractNumber;
    }
    public void setTenderId(String tenderId)
    {
        this.tenderId = tenderId;
    }

    public String getTenderId()
    {
        return tenderId;
    }
    public void setTender(CmcTender tender)
    {
        this.tender = tender;
    }

    public CmcTender getTender()
    {
        return tender;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setDeposit(BigDecimal deposit)
    {
        this.deposit = deposit;
    }

    public BigDecimal getDeposit()
    {
        return deposit;
    }
    public void setContractDocument(String contractDocument)
    {
        this.contractDocument = contractDocument;
    }

    public String getContractDocument()
    {
        return contractDocument;
    }
    public void setDrafter(Long drafter)
    {
        this.drafter = drafter;
    }

    public Long getDrafter()
    {
        return drafter;
    }
    public void setDraftUser(SysUser draftUser)
    {
        this.draftUser = draftUser;
    }

    public SysUser getDraftUser()
    {
        return draftUser;
    }
    public void setManagerUser(SysUser managerUser)
    {
        this.managerUser = managerUser;
    }

    public SysUser getManagerUser()
    {
        return managerUser;
    }
    public void setDraftTime(Date draftTime)
    {
        this.draftTime = draftTime;
    }

    public Date getDraftTime()
    {
        return draftTime;
    }
    public void setSignDate(Date signDate)
    {
        this.signDate = signDate;
    }

    public Date getSignDate()
    {
        return signDate;
    }
    public void setSignRemark(String signRemark)
    {
        this.signRemark = signRemark;
    }

    public String getSignRemark()
    {
        return signRemark;
    }
    public void setSignScan(String signScan)
    {
        this.signScan = signScan;
    }

    public String getSignScan()
    {
        return signScan;
    }
    public void setCommentType(String commentType)
    {
        this.commentType = commentType;
    }

    public String getCommentType()
    {
        return commentType;
    }

    public void setManagerComment(String managerComment)
    {
        this.managerComment = managerComment;
    }

    public String getManagerComment()
    {
        return managerComment;
    }
    public void setManagerUserId(Long managerUserId)
    {
        this.managerUserId = managerUserId;
    }

    public Long getManagerUserId()
    {
        return managerUserId;
    }
    public void setManagerTime(Date managerTime)
    {
        this.managerTime = managerTime;
    }

    public Date getManagerTime()
    {
        return managerTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("contractId", getContractId())
                .append("contractNumber", getContractNumber())
                .append("amount", getAmount())
                .append("deposit", getDeposit())
                .append("contractDocument", getContractDocument())
                .append("drafter", getDrafter())
                .append("draftTime", getDraftTime())
                .append("remark", getRemark())
                .append("signDate", getSignDate())
                .append("signRemark", getSignRemark())
                .append("signScan", getSignScan())
                .append("commentType", getCommentType())
                .append("managerComment", getManagerComment())
                .append("managerUserId", getManagerUserId())
                .append("managerTime", getManagerTime())
                .toString();
    }
}
