package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目对象 cmc_project
 *
 * @author cmc
 * @date 2024-04-01
 */
public class CmcProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String projectId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private Long projectLeader;

    private SysUser projectLeaderUser;

    private SysUser technicalDirectorUser;

    private SysUser qualityInspectorUser;

    /** 项目状态（0进行中、1已结束） */
    @Excel(name = "项目状态", readConverterExp = "0=进行中、1已结束")
    private String isFinished;

    /** 项目来源（0院内、1院外） */
    @Excel(name = "项目来源", readConverterExp = "0=院内、1院外")
    private String projectSource;

    /** 甲方单位 */
    @Excel(name = "甲方单位")
    private String partyA;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 项目类型 */
    @Excel(name = "项目类型")
    private String projectType;

    /** 项目级别（0一般项目、1重大项目） */
    @Excel(name = "项目级别", readConverterExp = "0=一般项目、1重大项目")
    private String projectLevel;

    /** 项目登记人 */
    @Excel(name = "项目登记人")
    private Long projectRegistrant;

    private SysUser projectRegistrantUser;

    /** 承担部门 */
    private String undertakingDept;

    /** 承担部门 */
    @Excel(name = "承担部门")
    private String undertakingDeptName;

    /** 项目安排人 */
    @Excel(name = "项目安排人")
    private Long projectPlanner;

    /** 现场负责人 */
    @Excel(name = "现场负责人")
    private Long siteLeader;

    /** 组织交底文档 */
    @Excel(name = "组织交底文档")
    private String organizeDocument;

    /** 项目登记日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目登记日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerTime;

    /** 项目安排日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目安排日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 组织交底日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "组织交底日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date organizeTime;

    /** 进场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "进场时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entryTime;

    /** 撤场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "撤场时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date exitTime;

    /** 范围kml地址 */
    @Excel(name = "范围kml地址")
    private String projectKml;

    /** 控制点kml地址 */
    @Excel(name = "控制点kml地址")
    private String projectCp;

    /** kml文件的中心位置经度 */
    @Excel(name = "kml文件的中心位置经度")
    private String kmlLng;

    /** kml文件的中心位置纬度 */
    @Excel(name = "kml文件的中心位置纬度")
    private String kmlLat;

    /** 项目用车 */
    @Excel(name = "项目用车")
    private String cars;

    /** 项目驾驶员 */
    @Excel(name = "项目驾驶员")
    private String drivers;

    /** 项目设备 */
    @Excel(name = "项目设备")
    private String devices;

    /** 项目参与人员 */
    @Excel(name = "项目参与人员")
    private String participates;

    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setProjectNumber(String projectNumber)
    {
        this.projectNumber = projectNumber;
    }

    public String getProjectNumber()
    {
        return projectNumber;
    }
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setProjectLeader(Long projectLeader)
    {
        this.projectLeader = projectLeader;
    }

    public Long getProjectLeader()
    {
        return projectLeader;
    }
    public void setIsFinished(String isFinished)
    {
        this.isFinished = isFinished;
    }

    public String getIsFinished()
    {
        return isFinished;
    }
    public void setProjectSource(String projectSource)
    {
        this.projectSource = projectSource;
    }

    public String getProjectSource()
    {
        return projectSource;
    }
    public void setPartyA(String partyA)
    {
        this.partyA = partyA;
    }

    public String getPartyA()
    {
        return partyA;
    }
    public void setContactPerson(String contactPerson)
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson()
    {
        return contactPerson;
    }
    public void setTelephone(String telephone)
    {
        this.telephone = telephone;
    }

    public String getTelephone()
    {
        return telephone;
    }
    public void setProjectType(String projectType)
    {
        this.projectType = projectType;
    }

    public String getProjectType()
    {
        return projectType;
    }
    public void setProjectLevel(String projectLevel)
    {
        this.projectLevel = projectLevel;
    }

    public String getProjectLevel()
    {
        return projectLevel;
    }
    public void setProjectRegistrant(Long projectRegistrant)
    {
        this.projectRegistrant = projectRegistrant;
    }

    public Long getProjectRegistrant()
    {
        return projectRegistrant;
    }
    public void setUndertakingDept(String undertakingDept)
    {
        this.undertakingDept = undertakingDept;
    }

    public String getUndertakingDept()
    {
        return undertakingDept;
    }
    public void setOrganizeDocument(String organizeDocument)
    {
        this.organizeDocument = organizeDocument;
    }

    public String getOrganizeDocument()
    {
        return organizeDocument;
    }
    public void setUndertakingDeptName(String undertakingDeptName)
    {
        this.undertakingDeptName = undertakingDeptName;
    }

    public String getUndertakingDeptName()
    {
        return undertakingDeptName;
    }
    public void setProjectPlanner(Long projectPlanner)
    {
        this.projectPlanner = projectPlanner;
    }

    public Long getProjectPlanner()
    {
        return projectPlanner;
    }
    public void setSiteLeader(Long siteLeader)
    {
        this.siteLeader = siteLeader;
    }

    public Long getSiteLeader()
    {
        return siteLeader;
    }
    public void setRegisterTime(Date registerTime)
    {
        this.registerTime = registerTime;
    }

    public Date getRegisterTime()
    {
        return registerTime;
    }
    public void setPlanTime(Date planTime)
    {
        this.planTime = planTime;
    }

    public Date getPlanTime()
    {
        return planTime;
    }
    public void setOrganizeTime(Date organizeTime)
    {
        this.organizeTime = organizeTime;
    }

    public Date getOrganizeTime()
    {
        return organizeTime;
    }
    public void setEntryTime(Date entryTime)
    {
        this.entryTime = entryTime;
    }

    public Date getEntryTime()
    {
        return entryTime;
    }
    public void setExitTime(Date exitTime)
    {
        this.exitTime = exitTime;
    }

    public Date getExitTime()
    {
        return exitTime;
    }
    public void setProjectLeaderUser(SysUser projectLeaderUser)
    {
        this.projectLeaderUser = projectLeaderUser;
    }

    public SysUser getProjectLeaderUser()
    {
        return projectLeaderUser;
    }
    public void setProjectRegistrantUser(SysUser projectRegistrantUser)
    {
        this.projectRegistrantUser = projectRegistrantUser;
    }

    public SysUser getProjectRegistrantUser()
    {
        return projectRegistrantUser;
    }
    public void setTechnicalDirectorUser(SysUser technicalDirectorUser)
    {
        this.technicalDirectorUser = technicalDirectorUser;
    }

    public SysUser getTechnicalDirectorUser()
    {
        return technicalDirectorUser;
    }
    public void setQualityInspectorUser(SysUser qualityInspectorUser)
    {
        this.qualityInspectorUser = qualityInspectorUser;
    }

    public SysUser getQualityInspectorUser()
    {
        return qualityInspectorUser;
    }
    public void setProjectKml(String projectKml)
    {
        this.projectKml = projectKml;
    }

    public String getProjectKml()
    {
        return projectKml;
    }
    public void setProjectCp(String projectCp)
    {
        this.projectCp = projectCp;
    }

    public String getProjectCp()
    {
        return projectCp;
    }
    public void setKmlLng(String kmlLng)
    {
        this.kmlLng = kmlLng;
    }

    public String getKmlLng()
    {
        return kmlLng;
    }
    public void setKmlLat(String kmlLat)
    {
        this.kmlLat = kmlLat;
    }

    public String getKmlLat()
    {
        return kmlLat;
    }

    public String getCars()
    {
        return cars;
    }
    public void setDrivers(String drivers)
    {
        this.drivers = drivers;
    }

    public String getDrivers()
    {
        return drivers;
    }
    public void setDevices(String devices)
    {
        this.devices = devices;
    }

    public String getDevices()
    {
        return devices;
    }
    public void setParticipates(String participates)
    {
        this.participates = participates;
    }

    public String getParticipates()
    {
        return participates;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("projectId", getProjectId())
                .append("projectNumber", getProjectNumber())
                .append("projectName", getProjectName())
                .append("projectLeader", getProjectLeader())
                .append("isFinished", getIsFinished())
                .append("projectSource", getProjectSource())
                .append("partyA", getPartyA())
                .append("contactPerson", getContactPerson())
                .append("telephone", getTelephone())
                .append("projectType", getProjectType())
                .append("projectLevel", getProjectLevel())
                .append("projectRegistrant", getProjectRegistrant())
                .append("undertakingDept", getUndertakingDept())
                .append("projectPlanner", getProjectPlanner())
                .append("siteLeader", getSiteLeader())
                .append("createTime", getCreateTime())
                .append("planTime", getPlanTime())
                .append("entryTime", getEntryTime())
                .append("exitTime", getExitTime())
                .append("remark", getRemark())
                .append("projectKml", getProjectKml())
                .append("projectCp", getProjectCp())
                .append("kmlLng", getKmlLng())
                .append("kmlLat", getKmlLat())
                .toString();
    }
}
