package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc经费计算对象 cmc_settle_work
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcSettleWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工作内容id */
    private Long workId;

    /** 结算id */
    @Excel(name = "结算id")
    private String settleId;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String content;

    /** 结算单价id */
    @Excel(name = "结算单价id")
    private Long priceId;

    /** 工作量 */
    @Excel(name = "工作量")
    private Long workload;

    /** 系数 */
    @Excel(name = "系数")
    private Long coefficient;

    /** 地类 */
    @Excel(name = "地类")
    private String groundType;

    /** 项目经费 */
    @Excel(name = "项目经费")
    private BigDecimal settle;

    /** 项目经费（项目部） */
    @Excel(name = "项目经费", readConverterExp = "项=目部")
    private BigDecimal settleXm;

    /** 项目经费（分管） */
    @Excel(name = "项目经费", readConverterExp = "分=管")
    private BigDecimal settleManager;

    public void setWorkId(Long workId)
    {
        this.workId = workId;
    }

    public Long getWorkId()
    {
        return workId;
    }
    public void setSettleId(String settleId) 
    {
        this.settleId = settleId;
    }

    public String getSettleId() 
    {
        return settleId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setPriceId(Long priceId) 
    {
        this.priceId = priceId;
    }

    public Long getPriceId() 
    {
        return priceId;
    }
    public void setWorkload(Long workload) 
    {
        this.workload = workload;
    }

    public Long getWorkload() 
    {
        return workload;
    }
    public void setCoefficient(Long coefficient) 
    {
        this.coefficient = coefficient;
    }

    public Long getCoefficient() 
    {
        return coefficient;
    }
    public void setGroundType(String groundType) 
    {
        this.groundType = groundType;
    }

    public String getGroundType() 
    {
        return groundType;
    }
    public void setSettle(BigDecimal settle) 
    {
        this.settle = settle;
    }

    public BigDecimal getSettle() 
    {
        return settle;
    }
    public void setSettleXm(BigDecimal settleXm) 
    {
        this.settleXm = settleXm;
    }

    public BigDecimal getSettleXm() 
    {
        return settleXm;
    }
    public void setSettleManager(BigDecimal settleManager) 
    {
        this.settleManager = settleManager;
    }

    public BigDecimal getSettleManager() 
    {
        return settleManager;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workId", getWorkId())
            .append("settleId", getSettleId())
            .append("content", getContent())
            .append("priceId", getPriceId())
            .append("workload", getWorkload())
            .append("coefficient", getCoefficient())
            .append("groundType", getGroundType())
            .append("settle", getSettle())
            .append("settleXm", getSettleXm())
            .append("settleManager", getSettleManager())
            .append("remark", getRemark())
            .toString();
    }
}
