package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc分包合同评审对象 cmc_sub_contract
 * 
 * @author cmc
 * @date 2024-04-18
 */
public class CmcSubContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分包合同id */
    private String subContractId;

    /** 主合同id */
    @Excel(name = "主合同id")
    private String projectId;

    /** 合同名称 */
    @Excel(name = "合同名称")
    private String subContractName;

    /** 分包合同金额 */
    @Excel(name = "分包合同金额")
    private BigDecimal subAmount;

    /** 承接单位id */
    @Excel(name = "承接单位id")
    private String partnerId;

    /** 承接单位联系人 */
    @Excel(name = "承接单位联系人")
    private String contactPerson;

    /** 合同文件 */
    @Excel(name = "合同文件")
    private String contractDocument;

    /** 拟稿人 */
    @Excel(name = "拟稿人")
    private Long drafter;

    private SysUser draftUser;

    private SysUser managerUser;

    /** 拟稿日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟稿日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date draftTime;

    /** 签订日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date signDate;

    /** 签订备注 */
    @Excel(name = "签订备注")
    private String signRemark;

    /** 签订扫描件 */
    @Excel(name = "签订扫描件")
    private String signScan;

    /** 评审方式 */
    @Excel(name = "评审方式")
    private String commentType;

    /** 分管审批意见 */
    @Excel(name = "分管审批意见")
    private String managerComment;

    /** 分管审批人 */
    @Excel(name = "分管审批人")
    private Long managerUserId;

    /** 分管审批日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分管审批日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date managerTime;

    public void setSubContractId(String subContractId)
    {
        this.subContractId = subContractId;
    }

    public String getSubContractId()
    {
        return subContractId;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setSubContractName(String subContractName)
    {
        this.subContractName = subContractName;
    }

    public String getSubContractName()
    {
        return subContractName;
    }
    public void setSubAmount(BigDecimal subAmount)
    {
        this.subAmount = subAmount;
    }

    public BigDecimal getSubAmount()
    {
        return subAmount;
    }
    public void setPartnerId(String partnerId)
    {
        this.partnerId = partnerId;
    }

    public String getPartnerId()
    {
        return partnerId;
    }
    public void setContactPerson(String contactPerson)
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson()
    {
        return contactPerson;
    }
    public void setContractDocument(String contractDocument)
    {
        this.contractDocument = contractDocument;
    }

    public String getContractDocument()
    {
        return contractDocument;
    }
    public void setDrafter(Long drafter)
    {
        this.drafter = drafter;
    }

    public Long getDrafter()
    {
        return drafter;
    }
    public void setDraftUser(SysUser draftUser)
    {
        this.draftUser = draftUser;
    }

    public SysUser getDraftUser()
    {
        return draftUser;
    }
    public void setManagerUser(SysUser managerUser)
    {
        this.managerUser = managerUser;
    }

    public SysUser getManagerUser()
    {
        return managerUser;
    }
    public void setDraftTime(Date draftTime)
    {
        this.draftTime = draftTime;
    }

    public Date getDraftTime()
    {
        return draftTime;
    }
    public void setSignDate(Date signDate)
    {
        this.signDate = signDate;
    }

    public Date getSignDate()
    {
        return signDate;
    }
    public void setSignRemark(String signRemark)
    {
        this.signRemark = signRemark;
    }

    public String getSignRemark()
    {
        return signRemark;
    }
    public void setSignScan(String signScan)
    {
        this.signScan = signScan;
    }

    public String getSignScan()
    {
        return signScan;
    }
    public void setCommentType(String commentType)
    {
        this.commentType = commentType;
    }

    public String getCommentType()
    {
        return commentType;
    }

    public void setManagerComment(String managerComment)
    {
        this.managerComment = managerComment;
    }

    public String getManagerComment()
    {
        return managerComment;
    }
    public void setManagerUserId(Long managerUserId)
    {
        this.managerUserId = managerUserId;
    }

    public Long getManagerUserId()
    {
        return managerUserId;
    }
    public void setManagerTime(Date managerTime)
    {
        this.managerTime = managerTime;
    }

    public Date getManagerTime()
    {
        return managerTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("subContractId", getSubContractId())
            .append("projectId", getProjectId())
            .append("subContractName", getSubContractName())
            .append("subAmount", getSubAmount())
            .append("partnerId", getPartnerId())
            .append("contactPerson", getContactPerson())
            .append("drafter", getDrafter())
            .append("draftTime", getDraftTime())
            .append("remark", getRemark())
            .append("signDate", getSignDate())
            .append("signRemark", getSignRemark())
            .append("signScan", getSignScan())
            .append("commentType", getCommentType())
                .append("managerComment", getManagerComment())
                .append("managerUserId", getManagerUserId())
                .append("managerTime", getManagerTime())
            .toString();
    }
}
