package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc技术交底对象 cmc_technical
 *
 * @author cmc
 * @date 2024-04-03
 */
public class CmcTechnical extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String technicalId;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    /** 技术负责人 */
    @Excel(name = "技术负责人")
    private Long technicalDirector;

    /** 技术设计人 */
    @Excel(name = "技术设计人")
    private Long technicalDesigner;

    /** 技术安排人 */
    @Excel(name = "技术安排人")
    private Long technicalPlanner;

    private SysUser planUser;

    private SysUser designUser;

    private SysUser managerUser;

    /** 技术安排意见 */
    @Excel(name = "技术安排意见")
    private String planComment;

    /** 质量检查员 */
    @Excel(name = "质量检查员")
    private String qualityInspector;

    /** 技术安排时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "技术安排时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date technicalTime;

    /** 技术方案 */
    @Excel(name = "技术方案")
    private String technicalDocument;

    /** 修改技术方案 */
    @Excel(name = "修改技术方案")
    private String modifyDocument;

    /** 最终技术方案 */
    @Excel(name = "最终技术方案")
    private String finalDocument;

    /** 方案说明 */
    @Excel(name = "方案说明")
    private String designDescription;

    /** 技术审核意见 */
    @Excel(name = "技术审核意见")
    private String technicalComment;

    /** 总工审核意见 */
    @Excel(name = "总工审核意见")
    private String manageComment;

    /** 方案上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "方案上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date technicalUploadTime;

    /** 技术审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "技术审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date techApprovalTime;

    /** 总工审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "总工审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date manageApprovalTime;

    public void setTechnicalId(String technicalId)
    {
        this.technicalId = technicalId;
    }

    public String getTechnicalId()
    {
        return technicalId;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setTechnicalDirector(Long technicalDirector)
    {
        this.technicalDirector = technicalDirector;
    }

    public Long getTechnicalDirector()
    {
        return technicalDirector;
    }
    public void setTechnicalDesigner(Long technicalDesigner)
    {
        this.technicalDesigner = technicalDesigner;
    }

    public Long getTechnicalDesigner()
    {
        return technicalDesigner;
    }
    public void setTechnicalPlanner(Long technicalPlanner)
    {
        this.technicalPlanner = technicalPlanner;
    }

    public Long getTechnicalPlanner()
    {
        return technicalPlanner;
    }
    public void setPlanUser(SysUser planUser)
    {
        this.planUser = planUser;
    }

    public SysUser getPlanUser()
    {
        return planUser;
    }
    public void setDesignUser(SysUser designUser)
    {
        this.designUser = designUser;
    }

    public SysUser getDesignUser()
    {
        return designUser;
    }
    public void setPlanComment(String planComment)
    {
        this.planComment = planComment;
    }

    public String getPlanComment()
    {
        return planComment;
    }
    public void setQualityInspector(String qualityInspector)
    {
        this.qualityInspector = qualityInspector;
    }

    public String getQualityInspector()
    {
        return qualityInspector;
    }
    public void setTechnicalTime(Date technicalTime)
    {
        this.technicalTime = technicalTime;
    }

    public Date getTechnicalTime()
    {
        return technicalTime;
    }
    public void setTechnicalDocument(String technicalDocument)
    {
        this.technicalDocument = technicalDocument;
    }

    public String getTechnicalDocument()
    {
        return technicalDocument;
    }
    public void setModifyDocument(String modifyDocument)
    {
        this.modifyDocument = modifyDocument;
    }

    public String getModifyDocument()
    {
        return modifyDocument;
    }
    public void setFinalDocument(String finalDocument)
    {
        this.finalDocument = finalDocument;
    }

    public String getFinalDocument()
    {
        return finalDocument;
    }
    public void setDesignDescription(String designDescription)
    {
        this.designDescription = designDescription;
    }

    public String getDesignDescription()
    {
        return designDescription;
    }
    public void setTechnicalComment(String technicalComment)
    {
        this.technicalComment = technicalComment;
    }

    public String getTechnicalComment()
    {
        return technicalComment;
    }
    public void setManageComment(String manageComment)
    {
        this.manageComment = manageComment;
    }

    public String getManageComment()
    {
        return manageComment;
    }
    public void setTechnicalUploadTime(Date technicalUploadTime)
    {
        this.technicalUploadTime = technicalUploadTime;
    }

    public Date getTechnicalUploadTime()
    {
        return technicalUploadTime;
    }
    public void setTechApprovalTime(Date techApprovalTime)
    {
        this.techApprovalTime = techApprovalTime;
    }

    public Date getTechApprovalTime()
    {
        return techApprovalTime;
    }
    public void setManageApprovalTime(Date manageApprovalTime)
    {
        this.manageApprovalTime = manageApprovalTime;
    }

    public Date getManageApprovalTime()
    {
        return manageApprovalTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("technicalId", getTechnicalId())
                .append("projectId", getProjectId())
                .append("technicalDirector", getTechnicalDirector())
                .append("technicalDesigner", getTechnicalDesigner())
                .append("technicalPlanner", getTechnicalPlanner())
                .append("planComment", getPlanComment())
                .append("qualityInspector", getQualityInspector())
                .append("technicalTime", getTechnicalTime())
                .append("technicalDocument", getTechnicalDocument())
                .append("designDescription", getDesignDescription())
                .append("technicalComment", getTechnicalComment())
                .append("manageComment", getManageComment())
                .append("technicalUploadTime", getTechnicalUploadTime())
                .append("techApprovalTime", getTechApprovalTime())
                .append("manageApprovalTime", getManageApprovalTime())
                .toString();
    }
}
