package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcBrandProject;

/**
 * cmc品牌项目Mapper接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface CmcBrandProjectMapper 
{
    /**
     * 查询cmc品牌项目
     * 
     * @param projectId cmc品牌项目主键
     * @return cmc品牌项目
     */
    public CmcBrandProject selectCmcBrandProjectByProjectId(String projectId);

    /**
     * 查询cmc品牌项目列表
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return cmc品牌项目集合
     */
    public List<CmcBrandProject> selectCmcBrandProjectList(CmcBrandProject cmcBrandProject);

    /**
     * 新增cmc品牌项目
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return 结果
     */
    public int insertCmcBrandProject(CmcBrandProject cmcBrandProject);

    /**
     * 修改cmc品牌项目
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return 结果
     */
    public int updateCmcBrandProject(CmcBrandProject cmcBrandProject);

    /**
     * 删除cmc品牌项目
     * 
     * @param projectId cmc品牌项目主键
     * @return 结果
     */
    public int deleteCmcBrandProjectByProjectId(String projectId);

    /**
     * 批量删除cmc品牌项目
     * 
     * @param projectIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcBrandProjectByProjectIds(String[] projectIds);
}
