package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcContractMeeting;

/**
 * cmc合同会审Mapper接口
 * 
 * @author cmc
 * @date 2024-04-19
 */
public interface CmcContractMeetingMapper 
{
    /**
     * 查询cmc合同会审
     * 
     * @param contractId cmc合同会审主键
     * @return cmc合同会审
     */
    public CmcContractMeeting selectCmcContractMeetingByContractId(String contractId);

    /**
     * 查询cmc合同会审列表
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return cmc合同会审集合
     */
    public List<CmcContractMeeting> selectCmcContractMeetingList(CmcContractMeeting cmcContractMeeting);

    /**
     * 新增cmc合同会审
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return 结果
     */
    public int insertCmcContractMeeting(CmcContractMeeting cmcContractMeeting);

    /**
     * 修改cmc合同会审
     * 
     * @param cmcContractMeeting cmc合同会审
     * @return 结果
     */
    public int updateCmcContractMeeting(CmcContractMeeting cmcContractMeeting);

    /**
     * 删除cmc合同会审
     * 
     * @param contractId cmc合同会审主键
     * @return 结果
     */
    public int deleteCmcContractMeetingByContractId(String contractId);

    /**
     * 批量删除cmc合同会审
     * 
     * @param contractIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcContractMeetingByContractIds(String[] contractIds);
}
