package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcContractWork;

/**
 * cmc合同内容Mapper接口
 * 
 * @author cmc
 * @date 2024-04-19
 */
public interface CmcContractWorkMapper 
{
    /**
     * 查询cmc合同内容
     * 
     * @param contractId cmc合同内容主键
     * @return cmc合同内容
     */
    public List<CmcContractWork> selectCmcContractWorkByContractId(String contractId);

    /**
     * 查询cmc合同内容列表
     * 
     * @param cmcContractWork cmc合同内容
     * @return cmc合同内容集合
     */
    public List<CmcContractWork> selectCmcContractWorkList(CmcContractWork cmcContractWork);

    /**
     * 新增cmc合同内容
     * 
     * @param cmcContractWork cmc合同内容
     * @return 结果
     */
    public int insertCmcContractWork(CmcContractWork cmcContractWork);

    /**
     * 修改cmc合同内容
     * 
     * @param cmcContractWork cmc合同内容
     * @return 结果
     */
    public int updateCmcContractWork(CmcContractWork cmcContractWork);

    /**
     * 删除cmc合同内容
     * 
     * @param contractId cmc合同内容主键
     * @return 结果
     */
    public int deleteCmcContractWorkByContractId(String contractId);

    /**
     * 批量删除cmc合同内容
     * 
     * @param contractIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcContractWorkByContractIds(String[] contractIds);
}
