package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcSettleSummary;

/**
 * cmc结算汇总Mapper接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface CmcSettleSummaryMapper 
{
    /**
     * 查询cmc结算汇总
     * 
     * @param settleId cmc结算汇总主键
     * @return cmc结算汇总
     */
    public CmcSettleSummary selectCmcSettleSummaryBySettleId(String settleId);

    /**
     * 查询cmc结算汇总列表
     * 
     * @param cmcSettleSummary cmc结算汇总
     * @return cmc结算汇总集合
     */
    public List<CmcSettleSummary> selectCmcSettleSummaryList(CmcSettleSummary cmcSettleSummary);

    /**
     * 新增cmc结算汇总
     * 
     * @param cmcSettleSummary cmc结算汇总
     * @return 结果
     */
    public int insertCmcSettleSummary(CmcSettleSummary cmcSettleSummary);

    /**
     * 修改cmc结算汇总
     * 
     * @param cmcSettleSummary cmc结算汇总
     * @return 结果
     */
    public int updateCmcSettleSummary(CmcSettleSummary cmcSettleSummary);

    /**
     * 删除cmc结算汇总
     * 
     * @param settleId cmc结算汇总主键
     * @return 结果
     */
    public int deleteCmcSettleSummaryBySettleId(String settleId);

    /**
     * 批量删除cmc结算汇总
     * 
     * @param settleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcSettleSummaryBySettleIds(String[] settleIds);
}
