package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcSettleWork;

/**
 * cmc经费计算Mapper接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface CmcSettleWorkMapper 
{
    /**
     * 查询cmc经费计算
     * 
     * @param settleId cmc经费计算主键
     * @return cmc经费计算
     */
    public CmcSettleWork selectCmcSettleWorkBySettleId(String settleId);

    /**
     * 查询cmc经费计算列表
     * 
     * @param cmcSettleWork cmc经费计算
     * @return cmc经费计算集合
     */
    public List<CmcSettleWork> selectCmcSettleWorkList(CmcSettleWork cmcSettleWork);

    /**
     * 新增cmc经费计算
     * 
     * @param cmcSettleWork cmc经费计算
     * @return 结果
     */
    public int insertCmcSettleWork(CmcSettleWork cmcSettleWork);

    /**
     * 修改cmc经费计算
     * 
     * @param cmcSettleWork cmc经费计算
     * @return 结果
     */
    public int updateCmcSettleWork(CmcSettleWork cmcSettleWork);

    /**
     * 删除cmc经费计算
     * 
     * @param settleId cmc经费计算主键
     * @return 结果
     */
    public int deleteCmcSettleWorkBySettleId(String settleId);

    /**
     * 批量删除cmc经费计算
     * 
     * @param settleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcSettleWorkBySettleIds(String[] settleIds);
}
