package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcSubContract;

/**
 * cmc分包合同评审Mapper接口
 * 
 * @author cmc
 * @date 2024-04-18
 */
public interface CmcSubContractMapper 
{
    /**
     * 查询cmc分包合同评审
     * 
     * @param subContractId cmc分包合同评审主键
     * @return cmc分包合同评审
     */
    public CmcSubContract selectCmcSubContractBySubContractId(String subContractId);

    /**
     * 查询cmc分包合同评审列表
     * 
     * @param cmcSubContract cmc分包合同评审
     * @return cmc分包合同评审集合
     */
    public List<CmcSubContract> selectCmcSubContractList(CmcSubContract cmcSubContract);

    /**
     * 新增cmc分包合同评审
     * 
     * @param cmcSubContract cmc分包合同评审
     * @return 结果
     */
    public int insertCmcSubContract(CmcSubContract cmcSubContract);

    /**
     * 修改cmc分包合同评审
     * 
     * @param cmcSubContract cmc分包合同评审
     * @return 结果
     */
    public int updateCmcSubContract(CmcSubContract cmcSubContract);

    /**
     * 删除cmc分包合同评审
     * 
     * @param subContractId cmc分包合同评审主键
     * @return 结果
     */
    public int deleteCmcSubContractBySubContractId(String subContractId);

    /**
     * 批量删除cmc分包合同评审
     * 
     * @param subContractIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcSubContractBySubContractIds(String[] subContractIds);
}
