package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcBrandProject;

/**
 * cmc品牌项目Service接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface ICmcBrandProjectService 
{
    /**
     * 查询cmc品牌项目
     * 
     * @param projectId cmc品牌项目主键
     * @return cmc品牌项目
     */
    public CmcBrandProject selectCmcBrandProjectByProjectId(String projectId);

    /**
     * 查询cmc品牌项目列表
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return cmc品牌项目集合
     */
    public List<CmcBrandProject> selectCmcBrandProjectList(CmcBrandProject cmcBrandProject);

    /**
     * 新增cmc品牌项目
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return 结果
     */
    public int insertCmcBrandProject(CmcBrandProject cmcBrandProject);

    /**
     * 修改cmc品牌项目
     * 
     * @param cmcBrandProject cmc品牌项目
     * @return 结果
     */
    public int updateCmcBrandProject(CmcBrandProject cmcBrandProject);

    /**
     * 批量删除cmc品牌项目
     * 
     * @param projectIds 需要删除的cmc品牌项目主键集合
     * @return 结果
     */
    public int deleteCmcBrandProjectByProjectIds(String[] projectIds);

    /**
     * 删除cmc品牌项目信息
     * 
     * @param projectId cmc品牌项目主键
     * @return 结果
     */
    public int deleteCmcBrandProjectByProjectId(String projectId);
}
