package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcBudgetCar;

/**
 * cmc车辆预算Service接口
 * 
 * @author cmc
 * @date 2024-03-22
 */
public interface ICmcBudgetCarService 
{
    /**
     * 查询cmc车辆预算
     * 
     * @param budgetId cmc预算id
     * @return cmc车辆预算
     */
    public List<CmcBudgetCar> selectCmcBudgetCarByBudgetId(String budgetId);

    /**
     * 查询cmc车辆预算列表
     * 
     * @param cmcBudgetCar cmc车辆预算
     * @return cmc车辆预算集合
     */
    public List<CmcBudgetCar> selectCmcBudgetCarList(CmcBudgetCar cmcBudgetCar);

    /**
     * 新增cmc车辆预算
     * 
     * @param cmcBudgetCar cmc车辆预算
     * @return 结果
     */
    public int insertCmcBudgetCar(CmcBudgetCar cmcBudgetCar);

    /**
     * 修改cmc车辆预算
     * 
     * @param cmcBudgetCar cmc车辆预算
     * @return 结果
     */
    public int updateCmcBudgetCar(CmcBudgetCar cmcBudgetCar);

    /**
     * 批量删除cmc车辆预算
     * 
     * @param budgetIds 需要删除的cmc车辆预算主键集合
     * @return 结果
     */
    public int deleteCmcBudgetCarByBudgetIds(String[] budgetIds);

    /**
     * 删除cmc车辆预算信息
     * 
     * @param budgetId cmc车辆预算主键
     * @return 结果
     */
    public int deleteCmcBudgetCarByBudgetId(String budgetId);
}
