package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcBudgetStaff;

/**
 * cmc人员预算Service接口
 * 
 * @author cmc
 * @date 2024-03-22
 */
public interface ICmcBudgetStaffService 
{
    /**
     * 查询cmc人员预算
     * 
     * @param budgetId cmc预算id
     * @return cmc人员预算
     */
    public List<CmcBudgetStaff> selectCmcBudgetStaffByBudgetId(String budgetId);

    /**
     * 查询cmc人员预算列表
     * 
     * @param cmcBudgetStaff cmc人员预算
     * @return cmc人员预算集合
     */
    public List<CmcBudgetStaff> selectCmcBudgetStaffList(CmcBudgetStaff cmcBudgetStaff);

    /**
     * 新增cmc人员预算
     * 
     * @param cmcBudgetStaff cmc人员预算
     * @return 结果
     */
    public int insertCmcBudgetStaff(CmcBudgetStaff cmcBudgetStaff);

    /**
     * 修改cmc人员预算
     * 
     * @param cmcBudgetStaff cmc人员预算
     * @return 结果
     */
    public int updateCmcBudgetStaff(CmcBudgetStaff cmcBudgetStaff);

    /**
     * 批量删除cmc人员预算
     * 
     * @param budgetIds 需要删除的cmc人员预算主键集合
     * @return 结果
     */
    public int deleteCmcBudgetStaffByBudgetIds(String[] budgetIds);

    /**
     * 删除cmc人员预算信息
     * 
     * @param budgetId cmc人员预算主键
     * @return 结果
     */
    public int deleteCmcBudgetStaffByBudgetId(String budgetId);
}
