package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcPriceRemark;

/**
 * 单价备注Service接口
 * 
 * @author cmc
 * @date 2024-05-14
 */
public interface ICmcPriceRemarkService 
{
    /**
     * 查询单价备注
     * 
     * @param priceRemarkId 单价备注主键
     * @return 单价备注
     */
    public CmcPriceRemark selectCmcPriceRemarkByPriceRemarkId(Long priceRemarkId);

    /**
     * 查询单价备注列表
     * 
     * @param cmcPriceRemark 单价备注
     * @return 单价备注集合
     */
    public List<CmcPriceRemark> selectCmcPriceRemarkList(CmcPriceRemark cmcPriceRemark);

    /**
     * 新增单价备注
     * 
     * @param cmcPriceRemark 单价备注
     * @return 结果
     */
    public int insertCmcPriceRemark(CmcPriceRemark cmcPriceRemark);

    /**
     * 修改单价备注
     * 
     * @param cmcPriceRemark 单价备注
     * @return 结果
     */
    public int updateCmcPriceRemark(CmcPriceRemark cmcPriceRemark);

    /**
     * 批量删除单价备注
     * 
     * @param priceRemarkIds 需要删除的单价备注主键集合
     * @return 结果
     */
    public int deleteCmcPriceRemarkByPriceRemarkIds(Long[] priceRemarkIds);

    /**
     * 删除单价备注信息
     * 
     * @param priceRemarkId 单价备注主键
     * @return 结果
     */
    public int deleteCmcPriceRemarkByPriceRemarkId(Long priceRemarkId);
}
