package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcProjectContract;

/**
 * cmc项目合同Service接口
 * 
 * @author cmc
 * @date 2024-04-19
 */
public interface ICmcProjectContractService 
{
    /**
     * 查询cmc项目合同
     * 
     * @param projectId cmc项目合同主键
     * @return cmc项目合同
     */
    public CmcProjectContract selectCmcProjectContractByProjectId(String projectId);

    /**
     * 查询cmc项目合同列表
     * 
     * @param cmcProjectContract cmc项目合同
     * @return cmc项目合同集合
     */
    public List<CmcProjectContract> selectCmcProjectContractList(CmcProjectContract cmcProjectContract);

    /**
     * 新增cmc项目合同
     * 
     * @param cmcProjectContract cmc项目合同
     * @return 结果
     */
    public int insertCmcProjectContract(CmcProjectContract cmcProjectContract);

    /**
     * 修改cmc项目合同
     * 
     * @param cmcProjectContract cmc项目合同
     * @return 结果
     */
    public int updateCmcProjectContract(CmcProjectContract cmcProjectContract);

    /**
     * 批量删除cmc项目合同
     * 
     * @param projectIds 需要删除的cmc项目合同主键集合
     * @return 结果
     */
    public int deleteCmcProjectContractByProjectIds(String[] projectIds);

    /**
     * 删除cmc项目合同信息
     * 
     * @param projectId cmc项目合同主键
     * @return 结果
     */
    public int deleteCmcProjectContractByProjectId(String projectId);
}
