package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcSupply;

/**
 * cmc用品信息Service接口
 * 
 * @author cmc
 * @date 2024-04-25
 */
public interface ICmcSupplyService 
{
    /**
     * 查询cmc用品信息
     * 
     * @param supplyId cmc用品信息主键
     * @return cmc用品信息
     */
    public CmcSupply selectCmcSupplyBySupplyId(Long supplyId);

    /**
     * 查询cmc用品信息列表
     * 
     * @param cmcSupply cmc用品信息
     * @return cmc用品信息集合
     */
    public List<CmcSupply> selectCmcSupplyList(CmcSupply cmcSupply);

    /**
     * 新增cmc用品信息
     * 
     * @param cmcSupply cmc用品信息
     * @return 结果
     */
    public int insertCmcSupply(CmcSupply cmcSupply);

    /**
     * 修改cmc用品信息
     * 
     * @param cmcSupply cmc用品信息
     * @return 结果
     */
    public int updateCmcSupply(CmcSupply cmcSupply);

    /**
     * 批量删除cmc用品信息
     * 
     * @param supplyIds 需要删除的cmc用品信息主键集合
     * @return 结果
     */
    public int deleteCmcSupplyBySupplyIds(Long[] supplyIds);

    /**
     * 删除cmc用品信息信息
     * 
     * @param supplyId cmc用品信息主键
     * @return 结果
     */
    public int deleteCmcSupplyBySupplyId(Long supplyId);
}
