package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcSupplyMapper;
import com.ruoyi.oa.domain.CmcSupply;
import com.ruoyi.oa.service.ICmcSupplyService;

/**
 * cmc用品信息Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-25
 */
@Service
public class CmcSupplyServiceImpl implements ICmcSupplyService 
{
    @Autowired
    private CmcSupplyMapper cmcSupplyMapper;

    /**
     * 查询cmc用品信息
     * 
     * @param supplyId cmc用品信息主键
     * @return cmc用品信息
     */
    @Override
    public CmcSupply selectCmcSupplyBySupplyId(Long supplyId)
    {
        return cmcSupplyMapper.selectCmcSupplyBySupplyId(supplyId);
    }

    /**
     * 查询cmc用品信息列表
     * 
     * @param cmcSupply cmc用品信息
     * @return cmc用品信息
     */
    @Override
    public List<CmcSupply> selectCmcSupplyList(CmcSupply cmcSupply)
    {
        return cmcSupplyMapper.selectCmcSupplyList(cmcSupply);
    }

    /**
     * 新增cmc用品信息
     * 
     * @param cmcSupply cmc用品信息
     * @return 结果
     */
    @Override
    public int insertCmcSupply(CmcSupply cmcSupply)
    {
        return cmcSupplyMapper.insertCmcSupply(cmcSupply);
    }

    /**
     * 修改cmc用品信息
     * 
     * @param cmcSupply cmc用品信息
     * @return 结果
     */
    @Override
    public int updateCmcSupply(CmcSupply cmcSupply)
    {
        return cmcSupplyMapper.updateCmcSupply(cmcSupply);
    }

    /**
     * 批量删除cmc用品信息
     * 
     * @param supplyIds 需要删除的cmc用品信息主键
     * @return 结果
     */
    @Override
    public int deleteCmcSupplyBySupplyIds(Long[] supplyIds)
    {
        return cmcSupplyMapper.deleteCmcSupplyBySupplyIds(supplyIds);
    }

    /**
     * 删除cmc用品信息信息
     * 
     * @param supplyId cmc用品信息主键
     * @return 结果
     */
    @Override
    public int deleteCmcSupplyBySupplyId(Long supplyId)
    {
        return cmcSupplyMapper.deleteCmcSupplyBySupplyId(supplyId);
    }
}
