/*
 Navicat Premium Data Transfer

 Source Server         : mysql
 Source Server Type    : MySQL
 Source Server Version : 80028
 Source Host           : localhost:3306
 Source Schema         : cmc_oa

 Target Server Type    : MySQL
 Target Server Version : 80028
 File Encoding         : 65001

 Date: 08/05/2024 17:42:34
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for files_achievement
-- ----------------------------
DROP TABLE IF EXISTS `files_achievement`;
CREATE TABLE `files_achievement`  (
  `id` char(19) NOT NULL COMMENT '成果id',
  `project_id` char(19) NULL DEFAULT NULL COMMENT '项目id',
  `achi_name` varchar(255) NULL DEFAULT NULL COMMENT '成果名称',
  `data_year` char(10) NULL DEFAULT NULL COMMENT '数据年份',
  `scale_order` char(10) NULL DEFAULT NULL COMMENT '比例尺或等级',
  `result_type` char(20) NULL DEFAULT NULL COMMENT '成果类型',
  `file_type` char(20) NULL DEFAULT NULL COMMENT '文件类型',
  `submit_date` datetime NULL DEFAULT NULL COMMENT '成果提交时间',
  `kml_url` varchar(255) NULL DEFAULT NULL COMMENT 'KML地址',
  `kml_lng` varchar(255) NULL DEFAULT NULL COMMENT 'kml文件的中心位置经度',
  `kml_lat` varchar(255) NULL DEFAULT NULL COMMENT 'kml文件的中心位置纬度',
  `work_load` char(20) NULL DEFAULT NULL COMMENT '工作量',
  `unit` char(10) NULL DEFAULT NULL COMMENT '单位',
  `data_source` varchar(100) NULL DEFAULT NULL COMMENT '数据来源',
  `data_type` char(10) NULL DEFAULT NULL COMMENT '数据类型（0原始数据，1成果数据，2过程数据）',
  `storage_id` char(19) NULL DEFAULT NULL COMMENT '存放地址id',
  `remark` varchar(255) NULL DEFAULT NULL COMMENT '备注',
  `production_time` char(20) NULL DEFAULT NULL COMMENT '生产日期',
  `resolution` char(10) NULL DEFAULT NULL COMMENT '分辨率（米）',
  `geodetic_datum` char(40) NULL DEFAULT NULL COMMENT '大地基准',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of files_achievement
-- ----------------------------
-- ----------------------------
-- Table structure for files_project
-- ----------------------------
DROP TABLE IF EXISTS `files_project`;
CREATE TABLE `files_project`  (
  `ID` varchar(32) NOT NULL COMMENT '项目唯一标识',
  `project_number` varchar(100) NULL DEFAULT NULL COMMENT '项目编号',
  `project_name` varchar(255) NULL DEFAULT NULL COMMENT '项目名称',
  `current_progress` varchar(255) NULL DEFAULT NULL COMMENT '当前进度',
  `project_source` varchar(255) NULL DEFAULT NULL COMMENT '项目来源',
  `party_a` varchar(255) NULL DEFAULT NULL COMMENT '甲方单位',
  `contact_person` varchar(255) NULL DEFAULT NULL COMMENT '联系人',
  `telephone` varchar(255) NULL DEFAULT NULL COMMENT '联系电话',
  `contract_code` varchar(255) NULL DEFAULT NULL COMMENT '合同编码',
  `contract_number` varchar(255) NULL DEFAULT NULL COMMENT '合同编号',
  `project_type` varchar(255) NULL DEFAULT NULL COMMENT '项目类型',
  `expected_price` varchar(255) NULL DEFAULT NULL COMMENT '预计价款',
  `project_level` varchar(255) NULL DEFAULT NULL COMMENT '项目级别',
  `technical_director` varchar(255) NULL DEFAULT NULL COMMENT '技术负责人',
  `techinical_designer` varchar(50) NULL DEFAULT NULL COMMENT '技术设计人',
  `quality_inspector` varchar(50) NULL DEFAULT NULL COMMENT '质量检察员',
  `undertaking_sector` varchar(255) NULL DEFAULT NULL COMMENT '承担部门',
  `project_leader` varchar(50) NULL DEFAULT NULL COMMENT '项目负责人',
  `fund` varchar(255) NULL DEFAULT NULL COMMENT '经费合计',
  `approval_date` varchar(255) NULL DEFAULT NULL COMMENT '领导批准时间',
  `approach_time` varchar(255) NULL DEFAULT NULL COMMENT '进场时间',
  `withdrawal_time` varchar(255) NULL DEFAULT NULL COMMENT '撤场时间',
  `required_completion_date` varchar(255) NULL DEFAULT NULL COMMENT '项目要求完成日期',
  `submission_date` varchar(255) NULL DEFAULT NULL COMMENT '资料提交日期',
  `license_plate_number` varchar(255) NULL DEFAULT NULL COMMENT '使用车辆（车牌号）',
  `mileage` varchar(255) NULL DEFAULT NULL COMMENT '项目行车公里数',
  `fuel_expense` varchar(255) NULL DEFAULT NULL COMMENT '项目燃油使用费',
  `main_equipment` varchar(255) NULL DEFAULT NULL COMMENT '主要设备',
  `project_participants` varchar(255) NULL DEFAULT NULL COMMENT '项目参与人员',
  `current_processing` varchar(255) NULL DEFAULT NULL COMMENT '当前处理环节',
  `current_handler` varchar(50) NULL DEFAULT NULL COMMENT '当前处理人',
  `project_registrant` varchar(50) NULL DEFAULT NULL COMMENT '项目登记人',
  `registration_date` varchar(255) NULL DEFAULT NULL COMMENT '项目登记日期',
  `leading_sector` varchar(255) NULL DEFAULT NULL COMMENT '牵头项目',
  `year` varchar(255) NULL DEFAULT NULL COMMENT '项目年份',
  `topic_id` char(19) NULL DEFAULT NULL COMMENT '所属专题id',
  `storage_id` char(19) NULL DEFAULT NULL COMMENT '存放地址的id',
  `project_kml` varchar(255) NULL DEFAULT NULL COMMENT '范围kml地址',
  `project_cp` varchar(255) NULL DEFAULT NULL COMMENT '控制点kml地址',
  `kml_lng` varchar(255) NULL DEFAULT NULL COMMENT 'kml文件的中心位置经度',
  `kml_lat` varchar(255) NULL DEFAULT NULL COMMENT 'kml文件的中心位置纬度',
  `is_finish` char(1) NULL DEFAULT NULL COMMENT '项目是否结束（0进行，1结束）',
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of files_project
-- ----------------------------
-- ----------------------------
-- Table structure for files_storage
-- ----------------------------
DROP TABLE IF EXISTS `files_storage`;
CREATE TABLE `files_storage`  (
  `id` char(19) NOT NULL COMMENT '存放地址id',
  `storage_address` varchar(255) NULL DEFAULT NULL COMMENT '存放地址',
  `administrator` char(10) NULL DEFAULT NULL COMMENT '管理人',
  `remark` varchar(255) NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of files_storage
-- ----------------------------

-- ----------------------------
-- Table structure for files_topic
-- ----------------------------
DROP TABLE IF EXISTS `files_topic`;
CREATE TABLE `files_topic`  (
  `id` char(19) NOT NULL COMMENT '专题id',
  `topic_name` varchar(100) NULL DEFAULT NULL COMMENT '专题名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of files_topic
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
