import request from '@/utils/request'

// 查询cmc用品信息列表
export function listSupply(query) {
  return request({
    url: '/oa/supply/list',
    method: 'get',
    params: query
  })
}

// 查询cmc用品信息详细
export function getSupply(supplyId) {
  return request({
    url: '/oa/supply/' + supplyId,
    method: 'get'
  })
}

// 新增cmc用品信息
export function addSupply(data) {
  return request({
    url: '/oa/supply',
    method: 'post',
    data: data
  })
}

// 修改cmc用品信息
export function updateSupply(data) {
  return request({
    url: '/oa/supply',
    method: 'put',
    data: data
  })
}

// 删除cmc用品信息
export function delSupply(supplyId) {
  return request({
    url: '/oa/supply/' + supplyId,
    method: 'delete'
  })
}
